For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The JobPosting object
          • GET/job-postings
          • GET/job-postings/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsJob postings

/job-postings/{id}

Beta
GET
/ats/v1/job-postings/:id
GET
/api/ats/v1/job-postings/:id
$curl -G https://api.merge.dev/api/ats/v1/job-postings/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=job
200Retrieved
1{
2 "id": "156a2bef-57e5-4def-8ed2-7c41bd9a554t",
3 "remote_id": "1341324",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "title": "Platform - NYC",
7 "job_posting_urls": [
8 {
9 "value": "https://merge.dev/careers",
10 "url_type": "JOB_POSTING"
11 }
12 ],
13 "job": "022a2bef-57e5-4def-8ed2-7c41bd9a5ed8",
14 "status": "PUBLISHED",
15 "content": "Apply at https://merge.dev/careers",
16 "remote_created_at": "2021-10-15T00:00:00Z",
17 "remote_updated_at": "2021-10-16T00:00:00Z",
18 "is_internal": true,
19 "remote_was_deleted": true,
20 "field_mappings": {
21 "organization_defined_targets": {
22 "custom_key": "custom_value"
23 },
24 "linked_account_defined_targets": {
25 "custom_key": "custom_value"
26 }
27 },
28 "remote_data": [
29 {
30 "path": "/positions",
31 "data": null
32 }
33 ]
34}

Returns a JobPosting object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/job-postings

Next

The Job object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
titlestring or null

The job posting’s title.

job_posting_urlslist of objects
The Url object is used to represent hyperlinks for a candidate to apply to a given job.
jobstring or nullformat: "uuid"

ID of Job object for this JobPosting.

statusenum or null

The job posting’s status.

  • PUBLISHED - PUBLISHED
  • CLOSED - CLOSED
  • DRAFT - DRAFT
  • INTERNAL - INTERNAL
  • PENDING - PENDING
Allowed values:
contentstring or null

The job posting’s content.

remote_created_atdatetime or null
When the third party's job posting was created.
remote_updated_atdatetime or null
When the third party's job posting was updated.
is_internalboolean or null
Indicates whether the job posting is internal or external.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only